'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactNative = require('react-native');

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

exports['default'] = {
  create: function () {
    function create(styles) {
      var platformStyles = {};
      Object.keys(styles).forEach(function (name) {
        var _styles$name = Object.assign({}, styles[name]),
            ios = _styles$name.ios,
            android = _styles$name.android,
            style = _objectWithoutProperties(_styles$name, ['ios', 'android']);

        var sytleHash = Object.assign({}, style);
        if (ios && _reactNative.Platform.OS === 'ios') {
          sytleHash = Object.assign({}, ios, style);
        }
        if (android && _reactNative.Platform.OS === 'android') {
          sytleHash = Object.assign({}, android, style);
        }
        platformStyles[name] = sytleHash;
      });
      return _reactNative.StyleSheet.create(platformStyles);
    }

    return create;
  }(),


  // Styles is an array of properties returned by `create()`, a POJO, or an
  // array thereof. POJOs are treated as inline styles.
  // This function returns an object to be spread onto an element.
  resolve: function () {
    function resolve(styles) {
      var prop = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'style';

      var style = {};
      style[prop] = styles;

      return style;
    }

    return resolve;
  }()
};